> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to list all available connection types supported by Blink.

# List connection types



## OpenAPI

````yaml get /connection_types
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /connection_types:
    get:
      tags:
        - Connections
      summary: List connection types
      description: Returns a list of connection types by a filter
      operationId: ListConnectionTypes
      parameters:
        - name: q
          in: query
          description: >-
            For the RQL query syntax, visit our [RQL query
            documentation](https://docs.blinkops.com/docs/blink-platform/tables/tables-in-workflows#get-a-record)
            in the `RQL Format` tab
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.PagingInfo'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/models.ConnectionType'
        '400':
          description: Can not retrieve the list of connection types
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: Can not find Connection Types
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.PagingInfo:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
    models.ConnectionType:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/models.FormAttributes'
        created_at:
          type: integer
        created_by:
          type: string
        display_name:
          type: string
        documentation_link:
          type: string
        icon_uri:
          type: string
        id:
          type: string
        metadata:
          $ref: '#/components/schemas/models.ConnectionMetadata'
        methods:
          type: array
          items:
            $ref: '#/components/schemas/models.ConnectionTypeMethod'
        name:
          type: string
        oauth_supported:
          type: boolean
        plugin_name:
          type: string
        tenant_id:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    models.FormAttributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/models.FormAttribute'
    models.ConnectionMetadata:
      type: object
      properties:
        authentication:
          $ref: '#/components/schemas/models.Authentication'
        createdWithOAuth:
          type: boolean
        defaultAPIAddress:
          type: string
        ignoreSSL:
          type: boolean
          description: '[optional] whether to ignore SSL errors in http'
        methods:
          type: array
          items:
            $ref: '#/components/schemas/models.ConnectionTypeMethod'
        pagination:
          $ref: '#/components/schemas/models.Pagination'
        testConnection:
          $ref: '#/components/schemas/models.TestConnection'
        urlwhitelist:
          type: array
          items:
            type: string
        validation:
          $ref: '#/components/schemas/models.Validation'
        variables:
          type: object
          additionalProperties:
            type: string
    models.ConnectionTypeMethod:
      type: object
      properties:
        attributes:
          type: array
          items:
            type: string
        description:
          type: string
        display_name:
          type: string
        documentation_link:
          type: string
        hidden:
          type: boolean
        is_recommended:
          type: boolean
        keys:
          type: array
          items:
            $ref: '#/components/schemas/models.HTTPAuthHeader'
        name:
          type: string
        oauth_supported:
          type: boolean
        two_legged_values:
          $ref: '#/components/schemas/models.TwoLeggedGenericProvider'
        type:
          type: string
    models.FormAttribute:
      type: object
      properties:
        addOptionText:
          type: string
        allow_free_text:
          type: boolean
        autofill:
          $ref: '#/components/schemas/models.Autofill'
        default_value:
          type: object
          description: 'optional: the default value'
        description:
          type: string
          description: 'optional: "description text"'
        disable_custom_values:
          type: boolean
        disable_key_value_action:
          type: boolean
        disabled:
          type: boolean
        display_mode:
          type: string
          description: >-
            optional: the single select display mode; options:
            "dropdown_menu"|"radio_options"; default: "dropdown_menu"
        display_name:
          type: string
          description: 'required: the display name of the attribute.'
        dynamic:
          type: boolean
          description: is this a global variable
        error:
          type: string
        field_type:
          type: integer
          description: 'optional: "input"|"checkbox"|"dropdown"|"textarea" - default "input"'
        file_identifier:
          type: string
        format:
          type: string
          description: >-
            optional: format of the field for example -> type: date, format:
            date_epoch
        group_type:
          type: string
          description: '"basic"|"advanced"'
        has_select_all:
          type: boolean
        height:
          type: string
          description: the height of the input parameter box in pixels
        hidden:
          type: boolean
          description: 'optional: is the field visible in the UI?'
        icon_name:
          type: string
        index:
          type: integer
          description: 'optional: the ordinal number of the parameter in the parameter list'
        input_type:
          type: string
          description: >-
            optional: "text"|"password"|email"|"number"|"url" in case of input
            component - default "text"
        instructions:
          $ref: '#/components/schemas/input_instructions.InputParamInstructions'
        is_multi:
          type: boolean
          description: 'optional: is this a multi-select field'
        label_first:
          type: boolean
          description: LabelFirst - Switch Field
        linked_fields_delimiter:
          type: string
          description: 'optional: custom delimiter for linked fields'
        linked_hidden:
          type: string
          description: >-
            optional: linked version of hidden field, this exists because hidden
            is bool so we cannot "abuse" it with a delimited string
        onlyValue:
          type: boolean
        options:
          type: array
          description: 'optional: the option list in case of dropdown\checkbox'
          items:
            type: string
        output_type:
          type: string
        pattern:
          type: string
          description: 'optional: regex to validate in case of input component'
        placeholder:
          type: string
          description: 'optional: "placeholder text"'
        required:
          type: boolean
          description: true|false
        source_linked_param:
          type: string
          description: >-
            optional: link the input type to a dropdown input by specifying its
            index
        source_url:
          type: string
          description: 'optional: "url source for options"'
        var_picker_sections:
          type: array
          items:
            type: string
    models.Authentication:
      type: object
      properties:
        keys:
          type: array
          description: '[optional] array of http header keys'
          items:
            $ref: '#/components/schemas/models.HTTPAuthHeader'
        staticHeaders:
          type: object
          additionalProperties:
            type: string
          description: '[optional] list of static header key, value pairs'
        twoLeggedValues:
          $ref: '#/components/schemas/models.TwoLeggedGenericProvider'
        type:
          type: string
          description: '# authentication type enum'
    models.Pagination:
      type: object
      properties:
        descriptor:
          type: object
          additionalProperties:
            type: object
          description: pagination descriptor
        type:
          type: string
          description: pagination method type
    models.TestConnection:
      type: object
      properties:
        body:
          type: object
          additionalProperties:
            type: object
          description: '[optional] body for the request in the case of type http.post'
        endpoint:
          type: string
          description: pagination method type
        expected:
          $ref: '#/components/schemas/models.Validation'
        headers:
          type: object
          additionalProperties:
            type: object
          description: '[optional] special headers to send with the request'
        type:
          type: string
          description: test connection type
    models.Validation:
      type: object
      properties:
        contentType:
          type: string
          description: '[optional] expected content type'
        errorPath:
          type: string
          description: '[optional]  the JSON path for extracting user errors'
        formatURL:
          type: string
          description: '[optional] regex for verifying url correctness'
        payload:
          type: object
          additionalProperties:
            type: object
          description: >-
            [optional] expected payload for successful request. key, value pairs
            of json path and expected value of type numeric, bool, string or
            regex.
        statusCodes:
          type: string
          description: >-
            a range of HTTP status codes that are considered valid, e.g
            "200-399"
    models.HTTPAuthHeader:
      type: object
      properties:
        format:
          type: string
          description: format for building the authentication string
        name:
          type: string
          description: the name of the header key
    models.TwoLeggedGenericProvider:
      type: object
      properties:
        actionToRunParamValues:
          $ref: '#/components/schemas/models.TwoLeggedActionToRunParamValues'
        connectionParams:
          type: array
          description: list of connection params to use in the 2 legged process
          items:
            type: string
        extractor:
          $ref: '#/components/schemas/models.TwoLeggedExtractor'
    models.Autofill:
      type: object
      properties:
        fetcher:
          type: string
        inputs:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/models.AutofillInput'
        options:
          type: array
          items:
            $ref: '#/components/schemas/models.AutofillOption'
    input_instructions.InputParamInstructions:
      type: object
      properties:
        description:
          type: string
        is_visible:
          type: boolean
        type:
          type: string
    models.TwoLeggedActionToRunParamValues:
      type: object
      properties:
        body:
          type: object
          description: >-
            body of the authentication request. The format is the same as in the
            `getBodyParams` function in the `pkg/oauth` folder
        contentType:
          type: string
          description: value of the content type header
        headers:
          type: object
          description: additional headers for the request
        ignoreSSL:
          type: object
          description: whether this request should ignore SSL in http requests
        method:
          type: string
          description: type of the http method (GET, POST ...)
        url:
          type: string
          description: >-
            the full url of the authentication request (api address + auth
            endpoint)
    models.TwoLeggedExtractor:
      type: object
      properties:
        accessKeyPath:
          type: string
          description: the path to the access key attribute in the response
        expiry:
          $ref: '#/components/schemas/models.TwoLeggedExpiry'
        isInHeader:
          type: boolean
          description: >-
            is the token returned in a header, the access path should be the
            header's name
        isJWT:
          type: object
          description: is the response type is jwt or not
    models.AutofillInput:
      type: object
      properties:
        maps_to:
          type: string
        required:
          type: boolean
    models.AutofillOption:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
    models.TwoLeggedExpiry:
      type: object
      properties:
        defaultExpiry:
          type: object
          description: the default expiry time for the token in seconds
        path:
          type: string
          description: the key path of the expiry attribute in the response
        type:
          type: string
          description: the type of the expiry attribute in the response
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````